// file: $isip/class/sp/Component/cmp_00.cc
// version: $Id: cmp_00.cc 8351 2002-07-12 13:07:31Z picone $
//

// isip include files
//
#include "Component.h"

// there is no source code in this file
//

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//      
//-----------------------------------------------------------------------------

// constants: class name
//
const String Component::CLASS_NAME(L"Component");

// constants: i/o related constants
//
const String Component::DEF_PARAM(L"");
const String Component::PARAM_INPUT_NAMES(L"input");
const String Component::PARAM_OUTPUT_NAME(L"output");
const String Component::PARAM_COMPONENT(L"algo");

// constants: default values of class parameters
//
const Char Component::DELIM(L'+');

// static instantiations: debug level and memory manager
//
Integral::DEBUG Component::debug_level_d = Integral::DEF_DEBUG;
MemoryManager Component::mgr_d(sizeof(Component), Component::name());
